vdemo - Bug #2746
Bare Vdemo component title not available anylonger
11/16/2017 09:43 PM - G. Walck
Assignee: L. Schillingmann % Done: 0%
Description

Due to this change
https://code.cor-lab.org/projects/vdemo/repository/revisions/e64ede0df95d0b8b546956c258e73eb0f1141bb7/diff/

the VDEMO_component_title is not the title anymore but a composition of the component name.title

Where can | get the component title from a variable inside my component ?

one example that broke is :

function component {
rosrun tf2_ros static_transform_publisher __name:=$VDEMO_component_title $*

because ROS does not accept the character [.]

| sure can fix my component and use bash to re-extract the title from the composed variable, but wanted to know if it is necessary for
the component title to now be composed.

History

#1-11/17/2017 01:39 AM - L. Schillingmann

- Status changed from New to Resolved

It only occurred when -t was not specified, which is additionally not consistent.
It should be fixed now. This effect was not intended.

#2 - 08/14/2018 04:38 PM - G. Walck

is broken again since https://code.cor-lab.org/projects/vdemo/repository/revisions/4ea95266d9f77fa62813f56¢c23b40734cd5889ca/diff/ but we did not

notice, but later https://code.cor-lab.org/projects/vdemo/repository/revisions/27cbd9fb6d0452992318f83c7278765abd9014a7/diff/ a new variable was
introduced that contains only the title without the dot

previous VDEMO_component_title that did not have the dot, exists now in VDEMO_title

#3 - 08/15/2018 03:28 PM - L. Schillingmann

The idea is that there is at least one variable which can be used to uniquely identify the screen session (minimizing the chance for collisions). The aim
was to make it somewhat consistent. Can you not use VDEMO _title?

#4 - 08/15/2018 03:38 PM - G. Walck

| already switched to use VDEMO _title, but did not know this had changed again (we don't build vdemo nightly, and rather rarely), either | missed a
changelog or there was none. anyway if somebody faces this issue, it is now written her, hence my post on this closed issue.

#5 - 08/15/2018 03:44 PM - L. Schillingmann

Yes, changed it sometime after our last discussion on this. The changelog is the commit log ;)

https://code.cor-lab.org/projects/vdemo/repository/revisions/27cbd9fb6d0452992318f83c7278765abd9014a7
Sorry for the lack of warning.
